IDIR=../include
CC=gcc
CFLAGS=-I$(IDIR) -g
EXEC_DIR=..

ODIR=obj

_DEPS = registro.h indice_agenda.h agenda.h
DEPS = $(patsubst %, $(IDIR)/%,$(_DEPS))

_OBJ = registro.o indice_agenda.o agenda.o main.o
OBJ = $(patsubst %,$(ODIR)/%,$(_OBJ))

$(ODIR)/%.o: %.c $(DEPS)
	$(CC) -c -o $@ $< $(CFLAGS)

bulto_feliz: $(OBJ)
	$(CC) -o $(EXEC_DIR)/$@ $^ $(CFLAGS)

debug: bulto_feliz
	gdb ../bulto_feliz.exe
